package hopital.evenements;

import hopital.nonVivants.Chambre;
import hopital.vivants.EntiteVivante;

public class NettoyerChambre extends Evenement {
	private static final long serialVersionUID = 1L;
	
	private EntiteVivante concierge = null;
	private Chambre chambre = null;
	
	public NettoyerChambre(EntiteVivante concierge, Chambre chambre) {
		this.concierge = concierge;
		this.chambre = chambre;
	}
	
	public String getMessage() {
		return "";
	}
	
	public int getPatientSante() {
		if (chambre.getPatient() != null)
			return chambre.getPatient().getSante();
		else
			return -1;
	}
	
	public void libererChambre() {
		synchronized (chambre) {
			chambre.setPatient(null);
		}
	}
	
	public boolean isPatientPresent() {
		synchronized (chambre) {
			return (!(chambre.getPatient() == null)); 
		}
	}
	
	public Chambre getChambre() {
		return chambre;
	}
	
	public String toString() {
		return concierge.toString() + " nettoie la chambre " + chambre.toString();
	}
}
